Lead Forms
Create a lead form
Meta only. Standard question fields only (no custom multi-choice/date-picker types). Requires scope ads:write.
POST
/
ads
/
lead-forms
Create a lead form
curl --request POST \
--url https://api.smartlyq.com/v1/ads/lead-forms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page_id": "1234567890",
"name": "Free Consultation Sign-up",
"standard_fields": [
"FULL_NAME",
"EMAIL"
],
"privacy_policy_url": "https://example.com/privacy",
"privacy_policy_text": "Privacy Policy"
}
'import requests
url = "https://api.smartlyq.com/v1/ads/lead-forms"
payload = {
"page_id": "1234567890",
"name": "Free Consultation Sign-up",
"standard_fields": ["FULL_NAME", "EMAIL"],
"privacy_policy_url": "https://example.com/privacy",
"privacy_policy_text": "Privacy Policy"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page_id: '1234567890',
name: 'Free Consultation Sign-up',
standard_fields: ['FULL_NAME', 'EMAIL'],
privacy_policy_url: 'https://example.com/privacy',
privacy_policy_text: 'Privacy Policy'
})
};
fetch('https://api.smartlyq.com/v1/ads/lead-forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "998877665544"
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Missing required fields: content, platforms.",
"details": {
"fields": [
"content",
"platforms"
]
}
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}Authorizations
API key from Developer dashboard (Bearer token).
Body
application/json
Example:
"1234567890"
Example:
"Free Consultation Sign-up"
Available options:
FULL_NAME, FIRST_NAME, LAST_NAME, EMAIL, PHONE_NUMBER, CITY, STATE, COUNTRY, ZIP, JOB_TITLE, COMPANY_NAME Example:
["FULL_NAME", "EMAIL"]
Example:
"https://example.com/privacy"
Example:
"Privacy Policy"
⌘I
Create a lead form

